Bug 1472445 - packaging: save ganesha config files in (/var)/run/gluster/shared_storage/nfs-ganesha
packaging: save ganesha config files in (/var)/run/gluster/shared_storage/nfs...
Status: VERIFIED
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: nfs-ganesha (Show other bugs)
3.3
Unspecified Unspecified
unspecified Severity unspecified
: ---
: RHGS 3.4.0
Assigned To: Kaleb KEITHLEY
Manisha Saini
:
Depends On:
Blocks: 1503134 1472446
  Show dependency treegraph
 
Reported: 2017-07-18 14:29 EDT by Kaleb KEITHLEY
Modified: 2018-04-18 13:07 EDT (History)
11 users (show)

See Also:
Fixed In Version: glusterfs-3.12.2-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1472446 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kaleb KEITHLEY 2017-07-18 14:29:13 EDT
Description of problem:

ganesha config files in (/var)/run/gluster/shared_storage/nfs-ganesha need to be marked with %config(noreplace) in the glusterfs-ganesha subpackage.

They probably need to be "ghosted" (with %ghost) too

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 3 Kaleb KEITHLEY 2017-10-05 07:28:01 EDT
POST with rebase to nfs-ganesha-2.5.x
Comment 7 Manisha Saini 2018-02-21 06:04:04 EST
Kaleb,


Can you please provide the steps to verify this BZ? What this fix will do?

I tested this with 3.4,I could see the ganesha-ha.conf.sample files which is been installed as part of glusterfs-ganesha is present at /etc/ganesha/.

Are we expecting these files to be present at shared storage directly as part of package installation? But then again..shared_storage is created post package installation.

What is the difference in behaviour from 3.3.1  to RHGS 3.4 wrt to this BZ?

Thanks..
Comment 8 Kaleb KEITHLEY 2018-02-21 07:14:26 EST
After an upgrade from rhgs-3.3.x to 3.4 the ganesha config files in /run/gluster/shared-storage/nfs-ganesha  should be saved to, e.g. ganesha.conf.rpmsave.

Prior to 3.4 the files could have been over-written.

And I don't see that that any change was actually made, so this will likely not pass. ;-)
Comment 11 Manisha Saini 2018-02-22 09:15:35 EST
Thanks Kaleb and Jiffin.

Based on comment #8 and comment #10 ..Since the fix for this BZ is not available with the current RHGS 3.4 ganesha build.

In order to track this BZ and to get the patch with next ganesha build ...Moving this BZ to assigned state.

Note You need to log in before you can comment on or make changes to this bug.